## DIR List Files Function

Section: Operating System Functions

### Usage

An alias for the `ls` function. The general syntax for its use is

      dir('dirname1','dirname2',...,'dirnameN')

but this can also be expressed as

      dir 'dirname1' 'dirname2' ... 'dirnameN'

or

      dir dirname1 dirname2 ... dirnameN

For compatibility with some environments, the function `ls` can also be used instead of `dir`. Generally speaking, `dirname` is any string that would be accepted by the underlying OS as a valid directory name. For example, on most systems, `'.'` refers to the current directory, and `'..'` refers to the parent directory. Two points worth mentioning about the `dir` function:

- To get file-name completion to work at this time, you must use one of the first two forms of the command.
- If you want to capture the output of the `ls` command, use the `system` function instead.

For examples, see the `ls` function.